View Issue Details

IDProjectCategoryView StatusLast Update
0000318XMB1Bugspublic2010-01-23 18:18
ReporterteddyAssigned Tomiqrogroove 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.9.8 SP2 
Target Version1.9.11.06Fixed in Version1.9.11.06 
Summary0000318: socket_SMTP isn't works with smtp.masterhost.ru (think not the only)
DescriptionThis big russian hosting provider changed it's smtp behaviour.

1. not accept "EHLO", need "EHLO something"
2. not say "250-AUTH", say "250 AUTH"

Users can not get passwords by e-mail!
Additional Informationsmtp-log.txt fragment:
---------------
SMTP loaded (Mon, 23 Mar 2009 15:50:23 +0300)
Attempting connection on smtp.osoboedetstvo.ru:25
Connection succesfull
Starting handshake
[S] 220 smtp.masterhost.ru ESMTP ready
[C] EHLO
[S] 501 5.5.4 Invalid argument
[C] MAIL FROM: forum-master@osoboedetstvo.ru
[S] 250 2.0.0 OK
[C] RCPT TO: mastfeller@gmail.com
[S] 535 5.7.0 Authentication required
[C] RSET
Disconnecting from server
[C] QUIT
[S] 250 2.0.0 OK
---------------

I make 2 hacks in smtp.inc.php:

- $this->send('EHLO');
+ $this->send('EHLO '.$host);

- if (substr($ns, 0, 8) == '250-AUTH') {
+ if (substr($ns, 0, 8) == '250 AUTH') {

Now all works fine, but seems it's too clumsy way. Hope you found more universal solution. Tank you.

Fedor Malginov,
forums on www.osoboedetstvo.ru/x/
TagsNo tags attached.
MySQL Version
PHP Version
Web ServerApache
Browser
Flags
Original Reporter
SVN Revision1844

Activities

miqrogroove

2009-03-23 15:15

administrator   ~0000190

Jay just mentioned this thread. It's more or less the same issue. Not sure what happened with his patch but we need a proper one eventually. http://forums.xmbforum.com/viewthread.php?tid=763641

miqrogroove

2009-03-23 17:17

administrator   ~0000193

Patch to be released with 0000319

miqrogroove

2009-03-23 22:04

administrator   ~0000194

Patch is here: http://forums.xmbforum.com/viewthread.php?tid=774282

Issue History

Date Modified Username Field Change
2009-03-23 09:39 teddy New Issue
2009-03-23 09:39 teddy Web Server => Apache
2009-03-23 15:15 miqrogroove Note Added: 0000190
2009-03-23 15:15 miqrogroove Status new => acknowledged
2009-03-23 17:17 miqrogroove SVN Revision => 1844
2009-03-23 17:17 miqrogroove Note Added: 0000193
2009-03-23 17:17 miqrogroove Assigned To => miqrogroove
2009-03-23 17:17 miqrogroove Severity major => minor
2009-03-23 17:17 miqrogroove Status acknowledged => resolved
2009-03-23 17:17 miqrogroove Resolution open => fixed
2009-03-23 17:17 miqrogroove Product Version 1.9.11.05 => 1.9.8 SP2
2009-03-23 17:17 miqrogroove Fixed in Version => 1.9.11.06
2009-03-23 17:17 miqrogroove Target Version => 1.9.11.06
2009-03-23 22:04 miqrogroove Note Added: 0000194
2010-01-23 18:18 miqrogroove Status resolved => closed